Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0017910
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformminorhave not tried2011-07-05 19:232012-06-28 07:59
ReportershuehnerView Statuspublic 
Assigned Tomigueldejuana 
PrioritynormalResolutionfixedFixed in Version3.0MP12
StatusclosedFix in branchFixed in SCM revisiond0ca61f83c8f
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0017910: In grid of generated windows you can scroll out of the range of existing rows using cursor keys

DescriptionSee steps to reproduce: scrolling behavior for cursor-up on first line or cursor down on last line strange .
Steps To ReproduceOpen sales order window
select a sales order having at least two lines
click on first sales order line to mark it as selected.
use cursor up -> notice marker dissappears
use cursor up again -> notice marker re-appears
same with cursor down + last line
TagsNo tags attached.
Attached Files? file icon CheckboxGrid.avi [^] (2,092,574 bytes) 2012-04-25 22:49

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00208743.0MP13 closedAugustoMauch Down key navigation does not work in grid view if not all records have been loaded. 

-  Notes
(0047985)
mtaal (developer)
2012-04-25 22:48

Asked on smartclient forum:
http://forums.smartclient.com/showthread.php?p=85406#post85406 [^]
(0048005)
alostale (developer)
2012-04-26 12:14

Setting as design defect because it depends on SmartClient to be fixed
(0048094)
hudsonbot (developer)
2012-04-26 19:32

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/70a717a9ffa1 [^]

Maturity status: Test
(0048347)
hgbot (developer)
2012-05-03 16:48

Repository: erp/devel/pi
Changeset: d0ca61f83c8f11b99f93ba31eafa30919d52ea48
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu May 03 16:46:24 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/d0ca61f83c8f11b99f93ba31eafa30919d52ea48 [^]

Fixed issue 17910: Don't scroll out of range of existing rows using cursor keys

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
---
(0048350)
migueldejuana (developer)
2012-05-03 16:50

Read this post to know why it has been solved like this.
http://forums.smartclient.com/showthread.php?p=85406#post85406 [^]

Test plan:

-Follow steps to reproduce.


No risky.
(0048464)
AugustoMauch (developer)
2012-05-08 17:54

Code reviewed and verified in pi@5f0181ecc96c
(0049013)
hudsonbot (developer)
2012-05-25 12:09

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5401e185a8b0 [^]

Maturity status: Test
(0050187)
hgbot (developer)
2012-06-27 13:01

Repository: erp/devel/pi
Changeset: 7ada3b41a87a90d3b3f30ee3359c925e13db152d
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Jun 27 13:00:29 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/7ada3b41a87a90d3b3f30ee3359c925e13db152d [^]

Fixes issue 20874: Prevented exception when pushing the down arrow key

In the fix of issue 17910 some logic was introduced that checked the id of the last record of the grid. If that record was yet to be loaded, the exception 'Cannot read property from undefined' was raised.

Now, before executing that statement, it is checked if the last grid record is defined.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
---
(0050221)
hudsonbot (developer)
2012-06-28 07:59

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c66e853c5cf4 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-07-05 19:23 shuehner New Issue
2011-07-05 19:23 shuehner Assigned To => alostale
2011-07-05 19:23 shuehner Modules => Core
2012-04-24 15:00 alostale Assigned To alostale => migueldejuana
2012-04-25 10:37 hgbot Checkin
2012-04-25 10:37 hgbot Note Added: 0047949
2012-04-25 10:39 migueldejuana Note Deleted: 0047949
2012-04-25 22:48 mtaal Note Added: 0047985
2012-04-25 22:49 mtaal File Added: CheckboxGrid.avi
2012-04-26 12:14 alostale Note Added: 0048005
2012-04-26 12:14 alostale Type defect => design defect
2012-04-26 19:32 hudsonbot Checkin
2012-04-26 19:32 hudsonbot Note Added: 0048094
2012-05-03 16:48 hgbot Checkin
2012-05-03 16:48 hgbot Note Added: 0048347
2012-05-03 16:48 hgbot Status new => resolved
2012-05-03 16:48 hgbot Resolution open => fixed
2012-05-03 16:48 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d0ca61f83c8f11b99f93ba31eafa30919d52ea48 [^]
2012-05-03 16:50 migueldejuana Note Added: 0048350
2012-05-08 17:54 AugustoMauch Note Added: 0048464
2012-05-08 17:54 AugustoMauch Status resolved => closed
2012-05-08 17:54 AugustoMauch Fixed in Version => 3.0MP12
2012-05-25 12:09 hudsonbot Checkin
2012-05-25 12:09 hudsonbot Note Added: 0049013
2012-06-27 12:51 AugustoMauch Relationship added related to 0020874
2012-06-27 13:01 hgbot Checkin
2012-06-27 13:01 hgbot Note Added: 0050187
2012-06-28 07:59 hudsonbot Checkin
2012-06-28 07:59 hudsonbot Note Added: 0050221


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker